RagTimeParserInternal::Picture Struct Reference

Internal: a picture of a RagTimeParser. More...

## Public Member Functions
| Picture ()
| constructor

## Public Attributes
int | m_type
| the picture type(unsure)
MWAWEntry | m_pos
| the data position
MWAWBox2f | m_dim
| the dimension
long | m_headerPos
| the beginning of the header(for debugging)
bool | m_isSent
| a flag to know if the picture is sent

## Detailed Description

Internal: a picture of a RagTimeParser.

## Constructor & Destructor Documentation

## ◆ Picture()

RagTimeParserInternal::Picture::Picture | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_dim

MWAWBox2f RagTimeParserInternal::Picture::m_dim

the dimension

Referenced by Picture(), RagTimeParser::readPictZone(), and RagTimeParser::readPictZoneV2().

## ◆ m_headerPos

long RagTimeParserInternal::Picture::m_headerPos

the beginning of the header(for debugging)

Referenced by Picture(), RagTimeParser::readPictZone(), and RagTimeParser::readPictZoneV2().

## ◆ m_isSent

bool RagTimeParserInternal::Picture::m_isSent
| mutable

a flag to know if the picture is sent

Referenced by Picture().

## ◆ m_pos

MWAWEntry RagTimeParserInternal::Picture::m_pos

the data position

Referenced by Picture(), RagTimeParser::readPictZone(), RagTimeParser::readPictZoneV2(), and RagTimeParser::sendBitmap().

## ◆ m_type

int RagTimeParserInternal::Picture::m_type

the picture type(unsure)

Referenced by Picture(), RagTimeParser::readPictZone(), and RagTimeParser::readPictZoneV2().

The documentation for this struct was generated from the following file:

- RagTimeParser.cxx